doctrine:
    dbal:
        url: '%env(resolve:DATABASE_URL)%'

        # IMPORTANT: You MUST configure your server version,
        # either here or in the DATABASE_URL env var (see .env file)
        #server_version: '5.7'
        options:
            1002: 'SET sql_mode=(SELECT REPLACE(@@sql_mode, "ONLY_FULL_GROUP_BY", ""))'
    orm:
        auto_generate_proxy_classes: true
        naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        auto_mapping: true
        mappings:
            App:
                is_bundle: false
                type: annotation
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App
        dql:
            datetime_functions:
                date: Oro\ORM\Query\AST\Functions\SimpleFunction
                time: Oro\ORM\Query\AST\Functions\SimpleFunction
                timestamp: Oro\ORM\Query\AST\Functions\SimpleFunction
                convert_tz: Oro\ORM\Query\AST\Functions\DateTime\ConvertTz
            numeric_functions:
                timestampdiff: Oro\ORM\Query\AST\Functions\Numeric\TimestampDiff
                dayofyear: Oro\ORM\Query\AST\Functions\SimpleFunction
                dayofmonth: Oro\ORM\Query\AST\Functions\SimpleFunction
                dayofweek: Oro\ORM\Query\AST\Functions\SimpleFunction
                week: Oro\ORM\Query\AST\Functions\SimpleFunction
                day: Oro\ORM\Query\AST\Functions\SimpleFunction
                hour: Oro\ORM\Query\AST\Functions\SimpleFunction
                minute: Oro\ORM\Query\AST\Functions\SimpleFunction
                month: Oro\ORM\Query\AST\Functions\SimpleFunction
                quarter: Oro\ORM\Query\AST\Functions\SimpleFunction
                second: Oro\ORM\Query\AST\Functions\SimpleFunction
                year: Oro\ORM\Query\AST\Functions\SimpleFunction
                sign: Oro\ORM\Query\AST\Functions\Numeric\Sign
                pow: Oro\ORM\Query\AST\Functions\Numeric\Pow
                round: Oro\ORM\Query\AST\Functions\Numeric\Round
                ceil: Oro\ORM\Query\AST\Functions\SimpleFunction
            string_functions:
                md5: Oro\ORM\Query\AST\Functions\SimpleFunction
                group_concat: Oro\ORM\Query\AST\Functions\String\GroupConcat
                concat_ws: Oro\ORM\Query\AST\Functions\String\ConcatWs
                cast: Oro\ORM\Query\AST\Functions\Cast
                replace: Oro\ORM\Query\AST\Functions\String\Replace
                date_format: Oro\ORM\Query\AST\Functions\String\DateFormat
